using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;

namespace Consulenza.ReportWriter.Manager.Chapter.Immobiliare.Diagnosi.Nucleo
{
    public class S3 : Entity.Chapter
    {
        public S3(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S3(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            // Aggiungo la pagina
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));

            // Intestazione
            var intestazione1 = new FormattedTextAreaPDF("Patrimonio immobiliare -", EnvironmentFacade.RendererFacade.XLeftLimit) { FontSize = 16, FontColor = ColorPDF.Immobiliare_Grigio_TitoloPiccolo, AutoIncrementYWritable = false };
            var intestazione2 = new FormattedTextAreaPDF("Distribuzione geografica", 256) { FontSize = 16, FontColor = ColorPDF.Immobiliare_Grigio_TitoloGrande, AutoIncrementYWritable = false, FontBold = true };
            
            // Aggiungo gli elementi
            AddElement(intestazione1);
            AddElement(intestazione2);
        }
    }
}
